<?php
namespace Misuzu\Emoticons;

use Stringable;
use Index\Data\IDbResult;

class EmoteStringInfo implements Stringable {
    private string $emoteId;
    private int $order;
    private string $string;

    public function __construct(IDbResult $result) {
        $this->emoteId = (string)$result->getInteger(0);
        $this->order = $result->getInteger(1);
        $this->string = $result->getString(2);
    }

    public function getEmoteId(): string {
        return $this->emoteId;
    }

    public function getOrder(): int {
        return $this->order;
    }

    public function getString(): string {
        return $this->string;
    }

    public function __toString(): string {
        return $this->string;
    }
}
